#include <stdio.h>
#include <termios.h>
#include <unistd.h>

//--------------------------------------------------------------------------------------------
void rl_ttyset (int reset)
{
     static struct termios old;
     struct termios new;

    if (reset == 0)
     {
         (void) tcgetattr (0, &old);
         new = old; 			      // FUNCAO PARA LEITURA AUTOMATICA DO CARACTER								
         new.c_lflag &= ~(ECHO | ICANON);     // (SEM ESPERAR O ENTER)									
         new.c_iflag &= ~(ISTRIP | INPCK);
         (void) tcsetattr (0, TCSANOW, &new);
     }
     else
         (void) tcsetattr (0, TCSANOW, &old);
}
//---------------------------------------------------------------------------------------------

main()
{
	rl_ttyset(0); // ATIVA LEITURA DIRETA DE CARACTERES, SEM ESPERAR O ENTER	
/*--------------------------------------------------------
				MENU PRINCIPAL
----------------------------------------------------------*/	
	do{
		c = 0;
		printf("\e[H\e[2J");
		printf("BIBLIOTECA\n\n1. Cliente\n2. Livro\n3. Empréstimo\n4. Devolução\n5. Sair\n\nDigite a opção: ");
			switch(getchar())
			{
				case '1':
					break;
				case '2':
					break;
				case '3':
					break;
				case '4':
					break;
				case '5':
					printf("\nSaindo...\n");
					c = 5;
					sleep(1);
					break;
				default:
					printf("\e[H\e[2J");
					printf("Opção inválida!\n");
					sleep(1);	
					break;
			}
	}while (c != 5);
/*--------------------FIM MENU PRINCIPAL--------------------*/
				


	rl_ttyset(1);// DESATIVA LEITURA DIRETA
}

